# Adjust products order in a Shop(in batch)

1. Mostly like 3.3.9 but support multiple ShopCategories.

**Rate limit:** 10 QPS by appId dimension.

Endpoint: POST /product/spu/batchupdateallsequence
Version: v.1.0.0

## Request fields (application/json):

  - `shopId` (integer, required)
    store id in KeeTa

## Response 200 fields (application/json):

  - `code` (integer, required)
    A numeric status identifier indicating the result of the interface call, used to determine whether the operation executed successfully.
    Example: 0

  - `message` (string, required)
    Text description corresponding to the status code, explaining the operation result or error cause to users.
    Example: Success

  - `data` (array)
    Successful ShopCategory id

  - `errorList` (array)
    failed ShopCategory informations

  - `errorList.id` (integer)
    Unique Category ID generated by Keeta.

  - `errorList.code` (integer)
    A numeric status identifier indicating the result of the interface call, used to determine whether the operation executed successfully. **A code value of 0** indicates that **the request was executed successfully**. **Any non-zero code value** indicates that **request execution failed**. **Specific error details** can be viewed in the *message* field.

  - `errorList.message` (string)
    Text description corresponding to the status code, explaining the operation result or error cause to users.

